Improve code coverage of APIDetailRetriever
Closed, ResolvedPublic2 Story Points

Description

ApiDetailRetriever is already tested with a line coverage of about 67%. The code is quite complex (long and deeply nested), that's why this is ranked higher than anything else in the code coverage tool.

Task:

  • Find out what important stuff is not covered (biggest chunk is continuation feature)

- Goal: 80% code coverage

The story points are considered our "stopper" since one could write tests forever

Related Objects

Lea_WMDE created this task.Mar 27 2018, 3:16 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptMar 27 2018, 3:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Normal priority.Mar 27 2018, 3:20 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 5.

Change 423716 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] [WIP] Improve code coverage of APIDetailRetriever

https://gerrit.wikimedia.org/r/423716

WMDE-Fisch changed the point value for this task from 5 to 2.Apr 3 2018, 3:27 PM

Change 424330 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Reduce duplicate code in ApiDetailRetrieverTest

https://gerrit.wikimedia.org/r/424330

Change 424332 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Use PHPUnit's …->willReturn( … ) shortcut everywhere

https://gerrit.wikimedia.org/r/424332

Change 424347 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Make ApiDetailRetrieverTest independend from configuration

https://gerrit.wikimedia.org/r/424347

Change 424348 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Cleanup assertTrue() and addToAssertionCount() in tests

https://gerrit.wikimedia.org/r/424348

Change 424351 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Remove not needed pass-by-reference from ApiDetailRetriever

https://gerrit.wikimedia.org/r/424351

Change 423716 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Improve code coverage of APIDetailRetriever

https://gerrit.wikimedia.org/r/423716

Change 424367 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Fully test continuation feature in ApiDetailRetriever

https://gerrit.wikimedia.org/r/424367

Change 424330 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Reduce duplicate code in ApiDetailRetrieverTest

https://gerrit.wikimedia.org/r/424330

Change 424332 merged by WMDE-Fisch:
[mediawiki/extensions/FileImporter@master] Use PHPUnit's …->willReturn( … ) shortcut everywhere

https://gerrit.wikimedia.org/r/424332

Change 424347 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Make ApiDetailRetrieverTest independend from configuration

https://gerrit.wikimedia.org/r/424347

Change 424348 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Cleanup assertTrue() and addToAssertionCount() in tests

https://gerrit.wikimedia.org/r/424348

Change 424351 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Test "continue" params passed by reference in ApiDetailRetriever

https://gerrit.wikimedia.org/r/424351

Change 424367 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Fully test continuation feature in ApiDetailRetriever

https://gerrit.wikimedia.org/r/424367

WMDE-Fisch closed this task as Resolved.Apr 19 2018, 8:55 AM